/* Recursive delete script */

Parse Arg Mask
MaskUC=Translate(Mask)

Confirm=1
N=Pos("/F",MaskUC)
If N<>0 then Do
   Mask=Strip(Overlay("  ",Mask,N))
   Confirm=0
End

/* Register REXXLIB functions */
call rxfuncadd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
call sysloadfuncs

rc=SysFileTree(Mask,"File.","FSO")

Do i=1 to File.0
   rc=0
   If Confirm=1 then Do
      Say "Delete" File.i||"? (y/n)"
      Parse Pull Answer
      If Translate(Answer)="Y" then
         rc=SysFileDelete(File.i)
      End
   Else 
      rc=SysFileDelete(File.i)
   If rc<>0 then 
      Say File.i "could not be deleted."
end /* do */

Exit
